package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.List;
import java.util.Objects;

/**
 * A DTO for the TBActivityType entity.
 */
public class TBActivityTypeDTO implements Serializable {

    private Long id;

    private String name;

    private String description;

    private  Boolean isCanDelete;

    private String urlLogo;

    private Instant createdDate;

    private Instant modifiedDate;

    private Instant deletedDate;

    private Long deletedById;

    private Long createdById;

    private Long modifiedById;

    private Long customerId;

    private Long parentId;

    private Boolean isGuidelineUsing;

    private List<String> deletedImages;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Boolean getIsCanDelete() {
        return isCanDelete;
    }

    public void setIsCanDelete(Boolean canDelete) {
        isCanDelete = canDelete;
    }

    public String getUrlLogo() {
        return urlLogo;
    }

    public void setUrlLogo(String urlLogo) {
        this.urlLogo = urlLogo;
    }

    public Instant getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Instant createdDate) {
        this.createdDate = createdDate;
    }

    public Instant getModifiedDate() {
        return modifiedDate;
    }

    public void setModifiedDate(Instant modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public Instant getDeletedDate() {
        return deletedDate;
    }

    public void setDeletedDate(Instant deletedDate) {
        this.deletedDate = deletedDate;
    }

    public Long getDeletedById() {
        return deletedById;
    }

    public void setDeletedById(Long tBDetailUserId) {
        this.deletedById = tBDetailUserId;
    }

    public Long getCreatedById() {
        return createdById;
    }

    public void setCreatedById(Long tBDetailUserId) {
        this.createdById = tBDetailUserId;
    }

    public Long getModifiedById() {
        return modifiedById;
    }

    public void setModifiedById(Long tBDetailUserId) {
        this.modifiedById = tBDetailUserId;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long tBCustomerId) {
        this.customerId = tBCustomerId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public List<String> getDeletedImages() {
        return deletedImages;
    }

    public void setDeletedImages(List<String> deletedImages) {
        this.deletedImages = deletedImages;
    }

    public Boolean getIsGuidelineUsing() {
        return isGuidelineUsing;
    }

    public void setIsGuidelineUsing(Boolean isGuidelineUsing) {
        this.isGuidelineUsing = isGuidelineUsing;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBActivityTypeDTO tBActivityTypeDTO = (TBActivityTypeDTO) o;
        if (tBActivityTypeDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBActivityTypeDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBActivityTypeDTO{" +
            "id=" + id +
            ", name='" + name + '\'' +
            ", description='" + description + '\'' +
            ", createdDate=" + createdDate +
            ", modifiedDate=" + modifiedDate +
            ", deletedDate=" + deletedDate +
            ", deletedById=" + deletedById +
            ", createdById=" + createdById +
            ", modifiedById=" + modifiedById +
            ", customerId=" + customerId +
            ", parentId=" + parentId +
            '}';
    }
}
